Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5
Class SymbolConstants

    java.lang.Object
      org.apache.tapestry5.SymbolConstants

    public class SymbolConstants

extends java.lang.Object

Defines the names of symbols used to configure Tapestry.

See Also:
  `SymbolSource`

Field Summary
`static java.lang.String` | `APPLICATION_CATALOG` The location of the application-wide component messages catalog, relative to the web application context.
`static java.lang.String` | `APPLICATION_FOLDER` The name of a folder in which the Tapestry application executes.
`static java.lang.String` | `APPLICATION_VERSION` Version number integrated into URLs for assets.
`static java.lang.String` | `ASSET_PATH_PREFIX` Prefix to be used for all asset paths
`static java.lang.String` | `ASSET_URL_FULL_QUALIFIED` Boolean value to indicate if every `Asset2` should be fully qualified or not.
`static java.lang.String` | `BLACKBIRD` Deprecated. in 5.3 with no replacement
`static java.lang.String` | `BLACKBIRD_ENABLED` Deprecated. in 5.3, with no replacement (due to removal of Blackbird console entirely)
`static java.lang.String` | `CHARSET` The charset used when rendering page markup; the charset is also used as the request encoding when handling incoming requests.
`static java.lang.String` | `CLUSTERED_SESSIONS` If "true" then at the end of each request the `SessionPersistedObjectAnalyzer` will be called on each session persisted object that was accessed during the request.
`static java.lang.String` | `COMBINE_SCRIPTS` If "true" then JavaScript files in a `JavaScriptStack` will be combined into a single virtual JavaScript file.
`static java.lang.String` | `COMPACT_JSON` If "true", then JSON page initialization content is compressed; if "false" then extra white space is added (pretty printing).
`static java.lang.String` | `COMPONENT_RENDER_TRACING_ENABLED` If "true" and `PRODUCTION_MODE` is off, comments will be rendered before and after the rendering of any component allowing more visibility into which components rendered which markup.
`static java.lang.String` | `COMPRESS_WHITESPACE` Controls whether whitespace is compressed by default in templates, or left as is.
`static java.lang.String` | `COOKIE_MAX_AGE` The default time interval that cookies created by Tapestry will be kept in the client web browser.
`static java.lang.String` | `DATEPICKER` The Asset path to the embedded datepicker.
`static java.lang.String` | `DEFAULT_STYLESHEET` The default stylesheet automatically injected into every rendered HTML page.
`static java.lang.String` | `ENCODE_LOCALE_INTO_PATH` If "true" (the default), then the `PersistentLocale` will be encoded into the `Link` path by the `ComponentEventLinkEncoder` service.
`static java.lang.String` | `EXCEPTION_REPORT_PAGE` Name of page used to report exceptions; the page must implement `ExceptionReporter`.
`static java.lang.String` | `EXECUTION_MODE` A comma separated list of execution modes used to control how the application is initialized.
`static java.lang.String` | `FILE_CHECK_INTERVAL` Time interval defining how often Tapestry will check for updates to local files (including classes).
`static java.lang.String` | `FILE_CHECK_UPDATE_TIMEOUT` Time interval that sets how long Tapestry will wait to obtain the exclusive lock needed to check local files.
`static java.lang.String` | `FORM_CLIENT_LOGIC_ENABLED` Used as the default for the Form's autofocus and clientValidation parameters.
`static java.lang.String` | `GZIP_COMPRESSION_ENABLED` If "true" (the default) then GZip compression is enabled for dynamic requests and for static assets.
`static java.lang.String` | `HMAC_PASSPHRASE` A passphrase used as the basis of hash-based message authentication (HMAC) for any object stream data stored on the client.
`static java.lang.String` | `HOSTNAME` The hostname that application should use when constructing an absolute URL.
`static java.lang.String` | `HOSTPORT` The hostport that application should use when constructing an absolute URL.
`static java.lang.String` | `HOSTPORT_SECURE` The secure (https) hostport that application should use when constructing an absolute URL.
`static java.lang.String` | `MIN_GZIP_SIZE` Minimum output stream size, in bytes, before output is compressed using GZIP.
`static java.lang.String` | `MINIFICATION_ENABLED` If "true", then resources (individually or when aggregated into stacks) will be minimized via the `ResourceMinimizer` service.
`static java.lang.String` | `OMIT_GENERATOR_META` Used to omit the normal Tapestry framework generator meta tag.
`static java.lang.String` | `PERSISTENCE_STRATEGY` Identifies the default persistence strategy for all pages that do not provide an override (using this value as `key`).
`static java.lang.String` | `PRODUCTION_MODE` Indicates whether Tapestry is running in production mode or developer mode.
`static java.lang.String` | `PRODUCTION_MODE_VALUE` A version of `PRODUCTION_MODE` as a symbol reference.
`static java.lang.String` | `SCRIPTACULOUS` The Asset path to the embedded copy of script.aculo.us packaged with Tapestry.
`static java.lang.String` | `SECURE_ENABLED` If "true" (which itself defaults to production mode), then the `Secure` annotation will be honored.
`static java.lang.String` | `START_PAGE_NAME` The logical name of the start page, the page that is rendered for the root URL.
`static java.lang.String` | `SUPPORTED_LOCALES` The list of locales supported by the application; locales identified in the incoming request are "narrowed" to one of these values.
`static java.lang.String` | `SUPPRESS_REDIRECT_FROM_ACTION_REQUESTS` Deprecated. In 5.3, to be removed (along with the support it implies) in 5.4
`static java.lang.String` | `TAPESTRY_VERSION` The version number of the core Tapestry framework, or UNKNOWN if the version number is not available (which should only occur when developing Tapestry).
`static java.lang.String` | `UNKNOWN_COMPONENT_ID_CHECK_ENABLED` Deprecated. Deprecated in 5.3, a future release will always enforce that component ids referenced by event handler methods actually exist.

Constructor Summary
`SymbolConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXECUTION_MODE

    public static final java.lang.String EXECUTION_MODE

  A comma separated list of execution modes used to control how the application is initialized. Each modes can contribute a list (comma separated) of Module classes to be loaded during startup, the order in which they appear is preserved. The default value is: `production`.

  See Also:
    Constant Field Values

### PRODUCTION_MODE

    public static final java.lang.String PRODUCTION_MODE

  Indicates whether Tapestry is running in production mode or developer mode. The primary difference is how exceptions are reported.

  See Also:
    Constant Field Values

### PRODUCTION_MODE_VALUE

    public static final java.lang.String PRODUCTION_MODE_VALUE

  A version of `PRODUCTION_MODE` as a symbol reference. This can be used as the default value of other symbols, to indicate that their default matches whatever PRODUCTION_MODE is set to, which is quite common.

  Since:
    5.2.0

### SUPPRESS_REDIRECT_FROM_ACTION_REQUESTS

    @Deprecated
    public static final java.lang.String SUPPRESS_REDIRECT_FROM_ACTION_REQUESTS

  Deprecated. In 5.3, to be removed (along with the support it implies) in 5.4
  If set to "true", then action requests will render a page markup response immediately, rather than sending a redirect to render the response. "Action request" is an outdated term for "component event request" (i.e., most links and all form submissions).

  See Also:
    Constant Field Values

### SUPPORTED_LOCALES

    public static final java.lang.String SUPPORTED_LOCALES

  The list of locales supported by the application; locales identified in the incoming request are "narrowed" to one of these values. The first locale name in the list is the default locale used when no proper match can be found.

  See Also:
    Constant Field Values

### COMPRESS_WHITESPACE

    public static final java.lang.String COMPRESS_WHITESPACE

  Controls whether whitespace is compressed by default in templates, or left as is. The factory default is to compress whitespace. This can be overridden using the xml:space attribute inside template elements.

  See Also:
    Constant Field Values

### FILE_CHECK_INTERVAL

    public static final java.lang.String FILE_CHECK_INTERVAL

  Time interval defining how often Tapestry will check for updates to local files (including classes). This number can be raised in a production environment. The default is "1 s" (one second), which is appropriate for development.

  See Also:
    Constant Field Values

### FILE_CHECK_UPDATE_TIMEOUT

    public static final java.lang.String FILE_CHECK_UPDATE_TIMEOUT

  Time interval that sets how long Tapestry will wait to obtain the exclusive lock needed to check local files. The default is "50 ms".

  See Also:
    Constant Field Values

### TAPESTRY_VERSION

    public static final java.lang.String TAPESTRY_VERSION

  The version number of the core Tapestry framework, or UNKNOWN if the version number is not available (which should only occur when developing Tapestry).

  See Also:
    Constant Field Values

### APPLICATION_CATALOG

    public static final java.lang.String APPLICATION_CATALOG

  The location of the application-wide component messages catalog, relative to the web application context. This will normally be `WEB-INF/app.properties`.

  See Also:
    Constant Field Values

### CHARSET

    public static final java.lang.String CHARSET

  The charset used when rendering page markup; the charset is also used as the request encoding when handling incoming requests. The default is "UTF-8".

  See Also:
    Constant Field Values

### FORM_CLIENT_LOGIC_ENABLED

    public static final java.lang.String FORM_CLIENT_LOGIC_ENABLED

  Used as the default for the Form's autofocus and clientValidation parameters. If overridden to "false", then Forms will not (unless explicitly specified) use client validation or autofocus, which in turn, means that most pages with Forms will not make use of the Tapestry JavaScript stack.

  See Also:
    Constant Field Values

### EXCEPTION_REPORT_PAGE

    public static final java.lang.String EXCEPTION_REPORT_PAGE

  Name of page used to report exceptions; the page must implement `ExceptionReporter`. This is used by the default exception report handler service.

  See Also:
    Constant Field Values

### PERSISTENCE_STRATEGY

    public static final java.lang.String PERSISTENCE_STRATEGY

  Identifies the default persistence strategy for all pages that do not provide an override (using this value as `key`).

  Since:
    5.1.0.0
  See Also:
    Constant Field Values

### MIN_GZIP_SIZE

    public static final java.lang.String MIN_GZIP_SIZE

  Minimum output stream size, in bytes, before output is compressed using GZIP. Shorter streams are not compressed. Tapestry buffers this amount and switches to a GZIP output stream as needed. The default is "100".

  Since:
    5.1.0.0
  See Also:
    `GZIP_COMPRESSION_ENABLED`, Constant Field Values

### APPLICATION_VERSION

    public static final java.lang.String APPLICATION_VERSION

  Version number integrated into URLs for assets. This should be changed for each release, otherwise out-of-date files may be used from the client's local cache (due to far-future expired headers). The default value is semi-random and different for each execution, which will adversely affect client caching, but is reasonable for development.

  Since:
    5.1.0.0
  See Also:
    `AssetDispatcher`, `AssetPathConstructor`, Constant Field Values

### OMIT_GENERATOR_META

    public static final java.lang.String OMIT_GENERATOR_META

  Used to omit the normal Tapestry framework generator meta tag. The meta tag is rendered by default, but clients who do not wish to advertise their use of Tapestry may set this symbol to "true".

  Since:
    5.1.0.0
  See Also:
    Constant Field Values

### GZIP_COMPRESSION_ENABLED

    public static final java.lang.String GZIP_COMPRESSION_ENABLED

  If "true" (the default) then GZip compression is enabled for dynamic requests and for static assets. If you are using a server that handles GZip compression for you, or you don't want to ue the extra processing power necessary to GZIP requests, then override this to "false".

  Since:
    5.1.0.0
  See Also:
    `MIN_GZIP_SIZE`, Constant Field Values

### SECURE_ENABLED

    public static final java.lang.String SECURE_ENABLED

  If "true" (which itself defaults to production mode), then the `Secure` annotation will be honored. If "false" (i.e., development mode), then the annotation and related HTTP/HTTPS logic is ignored.

  Since:
    5.1.0.1
  See Also:
    Constant Field Values

### ENCODE_LOCALE_INTO_PATH

    public static final java.lang.String ENCODE_LOCALE_INTO_PATH

  If "true" (the default), then the `PersistentLocale` will be encoded into the `Link` path by the `ComponentEventLinkEncoder` service. If overridden to "false" this does not occur, but you should provide a `LinkCreationListener2` (registered with the `LinkCreationHub`) in order to add the locale as a query parameter (or provide some alternate means of persisting the locale between requests).

  Since:
    5.1.0.1
  See Also:
    Constant Field Values

### COMBINE_SCRIPTS

    public static final java.lang.String COMBINE_SCRIPTS

  If "true" then JavaScript files in a `JavaScriptStack` will be combined into a single virtual JavaScript file. Defaults to "true" in production mode.

  Since:
    5.1.0.2
  See Also:
    Constant Field Values

### BLACKBIRD_ENABLED

    public static final java.lang.String BLACKBIRD_ENABLED

  Deprecated. in 5.3, with no replacement (due to removal of Blackbird console entirely)
  If "true" then Blackbird JavaScript console is enabled.

  Since:
    5.2.0
  See Also:
    Constant Field Values

### COOKIE_MAX_AGE

    public static final java.lang.String COOKIE_MAX_AGE

  The default time interval that cookies created by Tapestry will be kept in the client web browser. The default is "7 d" (that is, seven days).

  Since:
    5.2.0
  See Also:
    Constant Field Values

### START_PAGE_NAME

    public static final java.lang.String START_PAGE_NAME

  The logical name of the start page, the page that is rendered for the root URL.

  Since:
    5.2.0
  See Also:
    Constant Field Values

### DEFAULT_STYLESHEET

    public static final java.lang.String DEFAULT_STYLESHEET

  The default stylesheet automatically injected into every rendered HTML page.

  Since:
    5.2.0
  See Also:
    Constant Field Values

### SCRIPTACULOUS

    public static final java.lang.String SCRIPTACULOUS

  The Asset path to the embedded copy of script.aculo.us packaged with Tapestry.

  Since:
    5.2.0
  See Also:
    Constant Field Values

### DATEPICKER

    public static final java.lang.String DATEPICKER

  The Asset path to the embedded datepicker.

  Since:
    5.2.0
  See Also:
    Constant Field Values

### BLACKBIRD

    public static final java.lang.String BLACKBIRD

  Deprecated. in 5.3 with no replacement
  The Asset path to the embedded copy of blackbird packaged with Tapestry.

  Since:
    5.2.0
  See Also:
    Constant Field Values

### COMPACT_JSON

    public static final java.lang.String COMPACT_JSON

  If "true", then JSON page initialization content is compressed; if "false" then extra white space is added (pretty printing). Defaults to "true" in production mode.

  Since:
    5.2.0
  See Also:
    Constant Field Values

### COMPONENT_RENDER_TRACING_ENABLED

    public static final java.lang.String COMPONENT_RENDER_TRACING_ENABLED

  If "true" and `PRODUCTION_MODE` is off, comments will be rendered before and after the rendering of any component allowing more visibility into which components rendered which markup. Defaults to "false". Component render tracing may be enabled per-request by the presence of a request parameter "t:component-trace" with a value of "true".

  Since:
    5.2.5
  See Also:
    Constant Field Values

### HOSTNAME

    public static final java.lang.String HOSTNAME

  The hostname that application should use when constructing an absolute URL. The default is "", i.e. an empty string, in which case system will use request.getServerName(). Not the same as environment variable HOSTNAME, but you can also contribute "$HOSTNAME" as the value to make it the same as the environment variable HOSTNAME.

  Since:
    5.3
  See Also:
    Constant Field Values

### HOSTPORT

    public static final java.lang.String HOSTPORT

  The hostport that application should use when constructing an absolute URL. The default is "0", i.e. use the port value from the request.

  Since:
    5.3
  See Also:
    Constant Field Values

### HOSTPORT_SECURE

    public static final java.lang.String HOSTPORT_SECURE

  The secure (https) hostport that application should use when constructing an absolute URL. The default is "0", i.e. use the value from the request.

  Since:
    5.3
  See Also:
    Constant Field Values

### MINIFICATION_ENABLED

    public static final java.lang.String MINIFICATION_ENABLED

  If "true", then resources (individually or when aggregated into stacks) will be minimized via the `ResourceMinimizer` service. If "false", then minification is disabled. Tracks production mode (minification is normally disabled in development mode).

  Note that Tapestry's default implementation of `ResourceMinimizer` does nothing; minification is provided by add-on libraries.

  Since:
    5.3
  See Also:
    Constant Field Values

### CLUSTERED_SESSIONS

    public static final java.lang.String CLUSTERED_SESSIONS

  If "true" then at the end of each request the `SessionPersistedObjectAnalyzer` will be called on each session persisted object that was accessed during the request.

  This is provided as a performance enhancement for servers that do not use clustered sessions.

  The default is `true`, to preserve 5.2 behavior. For non-clustered applications (the majority), this value should be overridden to `false`. A future release of Tapestry may change the default.

  Since:
    5.3
  See Also:
    Constant Field Values

### UNKNOWN_COMPONENT_ID_CHECK_ENABLED

    @Deprecated
    public static final java.lang.String UNKNOWN_COMPONENT_ID_CHECK_ENABLED

  Deprecated. Deprecated in 5.3, a future release will always enforce that component ids referenced by event handler methods actually exist.
  The fix for TAP5-1596 means that component ids referenced by event handler methods (either the naming convention, or the `OnEvent` annotation) can cause a page load error if there is no matching component in the component's template. Although this is correct behavior, it can make the upgrade from 5.2 to 5.3 difficult if an existing app had some "left over" event handler methods. Changing this symbol to `false` is a temporary approach to resolving this problem.

  This symbol will be ignored in release 5.4 and removed in 5.5.

  Since:
    5.3
  See Also:
    Constant Field Values

### APPLICATION_FOLDER

    public static final java.lang.String APPLICATION_FOLDER

  The name of a folder in which the Tapestry application executes. Prior to 5.3, a Tapestry application always responded to all URLs in the context under the context root; by setting this to the name of a folder, the T5 URLs will be inside that folder only, and should match a corresponding entry in the `web.xml` configuration file. This is useful when running multiple servlets within the same web application (such as when migrating from Tapestry 4 or some other framework, to Tapestry 5).

  Effectively, if this symbol is set to a value, that folder name will be placed after the context path (typically "/") and before the locale, page name, or other prefix. For example, if this symbol is set to "app", the `web.xml <url-pattern>` should be set to `/app/*`, and Tapestry will only be in invoked by the servlet container for requests inside the virtual `app` folder.

  This also affects the search for page templates (which are allowed within the web context). When set to a non-blank value, page templates are searched for in the folder, rather than in the root context.

  The default value is the empty string, which preserves Tapestry 5.2 behavior (and continues to be appropriate for most applications).

  Note that while Tapestry is case-insensitive, the servlet container is not, so the configured value must exactly match the folder name inside the `<url-parameter>` value, including case.

  Since:
    5.3
  See Also:
    Constant Field Values

### ASSET_URL_FULL_QUALIFIED

    public static final java.lang.String ASSET_URL_FULL_QUALIFIED

  Boolean value to indicate if every `Asset2` should be fully qualified or not. Default to `false` meaning no Asset URL will be fully qualified.

  Since:
    5.3
  See Also:
    Constant Field Values

### ASSET_PATH_PREFIX

    public static final java.lang.String ASSET_PATH_PREFIX

  Prefix to be used for all asset paths

  See Also:
    Constant Field Values

### HMAC_PASSPHRASE

    public static final java.lang.String HMAC_PASSPHRASE

  A passphrase used as the basis of hash-based message authentication (HMAC) for any object stream data stored on the client. The default phrase is the empty string, which will result in a logged runtime error. You should configure this to a reasonable value (longer is better) and ensure that all servers in your cluster share the same value (configuring this in code, rather than the command line, is preferred).

  Since:
    5.3.6
  See Also:
    `ClientDataEncoder`, Constant Field Values

Constructor Detail

### SymbolConstants

    public SymbolConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.